import { parseParams } from './parseParams.js';
export function buildAndOrConditions({ adapter, aliasTable, context, fields, joins, locale, parentIsLocalized, selectFields, selectLocale, tableName, where }) {
    const completedConditions = [];
    // Loop over all AND / OR operations and add them to the AND / OR query param
    // Operations should come through as an array
    for (const condition of where){
        // If the operation is properly formatted as an object
        if (typeof condition === 'object') {
            const result = parseParams({
                adapter,
                aliasTable,
                context,
                fields,
                joins,
                locale,
                parentIsLocalized,
                selectFields,
                selectLocale,
                tableName,
                where: condition
            });
            if (result && Object.keys(result).length > 0) {
                completedConditions.push(result);
            }
        }
    }
    return completedConditions;
}

//# sourceMappingURL=buildAndOrConditions.js.map